<template>
  <div style="display: flex; justify-content: center; margin-top: 2em">
    <img src="@/assets/characters/akshan.png" fade-timeout="0.5">
    <img src="@/assets/characters/sett.png" fade-timeout="0.9">
    <img src="@/assets/characters/darius.png" fade-timeout="1.3">
  </div>
</template>

<script>

  export default {
    name: 'Home',

    components: {},

    mounted(){
      const images = document.querySelectorAll("img[fade-timeout]");
      for(let k=0; k<images.length; k++){
        const timeout = Number.parseFloat(images[k].getAttribute("fade-timeout"))
        setTimeout(()=>images[k].classList.add('active'), timeout * 1000);
      }
    }
  }
</script>

<style>
img[fade-timeout]{
  opacity: 0;
  transition-property: opacity;
  transition-duration: 0.5s;
  transition-delay: 0;
}

img[fade-timeout].active{
  opacity: 1;
}
</style>
